#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct GetStreamsInBoundsRequest {
    #[builder(custom(type = super::Bounds, convert = Box::new))]
    #[serde(rename = "bounds")]
    bounds: Box<super::Bounds>,
    #[builder(default, into)]
    #[serde(rename = "pageSize", skip_serializing_if = "Option::is_none", default)]
    page_size: Option<i32>,
    #[builder(default, into)]
    #[serde(rename = "token", skip_serializing_if = "Option::is_none", default)]
    token: Option<String>,
}
impl GetStreamsInBoundsRequest {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(bounds: super::Bounds) -> Self {
        Self::builder().bounds(bounds).build()
    }
    #[inline]
    pub fn bounds(&self) -> &super::Bounds {
        &*self.bounds
    }
    /// Defaults to 100. Will throw if larger than 1_000.
    #[inline]
    pub fn page_size(&self) -> Option<i32> {
        self.page_size.as_ref().map(|o| *o)
    }
    #[inline]
    pub fn token(&self) -> Option<&str> {
        self.token.as_ref().map(|o| &**o)
    }
}
